% OSLO
%
% Files
%   osc       - gets and sets the configuration in OSLO
%   oscd      - changes lens, text, and INT file directory in OSLO
%   oscen     - returns wavefront based centroid on image surface
%   oscmd     - executes a general command in OSLO
%   osdata    - loads a binary file saved by OSLO
%   osdec     - gets decenter and tilt data from OSLO
%   osdir     - displays directory of OSLO toolkit
%   osebr     - returns entrance beam radius of lens in OSLO
%   osf       - retrieves current field points, sets new field points in OSLO, 
%   osfap     - returns field and aperture specification
%   osfl      - returns focal length
%   osfov     - gets field performance wavefront data from OSLO
%   osftyp    - returns field scale and type
%   osgc      - gets global coordinate data, and sets surfaces to global
%   osgd      - requests output data from OSLO Global Data
%   osgetpath - OSPATH gets the path of functionname, or of OSLO toolkit if no input
%   osgwf     - gets the wavefront map for the current fieldpoint in OSLO
%   osims     - returns the image surface number in OSLO
%   osint     - gets and/or attaches an INT file to surface in OSLO
%   ositfd    - sets the int file directory in OSLO to the current matlab directory
%   osits     - gets and sets interferogram scale data from OSLO
%   oslicense - shows the NASA OPEN SOURCE SOFTWARE AGREEMENT
%   oslo      - starts up OSLO with DOS command (needs location of OSLO)
%   oslokill  - kills OSLO application with a dos command
%   osloreset - saves current OSLO file, shuts down OSLO, and restarts
%   osmx      - gets data from user matrices in OSLO
%   osnum     - gets number of surfaces, field points, wavelengths, and configs 
%   osnumc    - gets number of configurations defined in OSLO
%   osnumf    - gets number of field points defined in OSLO
%   osnumr    - gets number of rays defined in OSLO
%   osnums    - OSNUM  gets number of surfaces defined in OSLO (i.e. image surface number)
%   osnumw    - gets number of wavelengths defined in OSLO
%   osoff     - kills the DDE link between Matlab and OSLO
%   oson      - establishes the DDE link between Matlab and OSLO
%   osopen    - opens a file in OSLO, using dialog gui if no input
%   ospath    - gets the path of functionname, or of OSLO toolkit if no input
%   osprb     - applies rigid body perturbations to surfaces in OSLO 
%   ospsf     - gets psf data from OSLO
%   osr       - gets and sets ray definitions in OSLO,
%   osray     - gets ray trace data from OSLO
%   osrbset   - sets the coordinates of a surface in OSLO
%   osrbshift - "shifts" a surface relative to its current position in OSLO
%   osrco     - sets return coordinates in OSLO
%   osreadme  - gives a basic introduction to the Matlab OSLO toolkit
%   osreq     - executes command and requests output data from OSLO
%   osreqstr  - executes command and requests output string from OSLO
%   osroot    - changes current directory in MATLAB to OSLO toolkit directory
%   ossave    - saves current lens in OSLO
%   ossen     - calculates regid body sensitivities of image motion and wavefront
%   osshift   - "shifts" a surface in rigid body relative to its current position
%   ossn      - gets the surface notes from OSLO
%   ossop     - sets the object point in OSLO
%   ossopfi   - sets object point based on image coordinate using sopfi function
%   ossps     - returns spot size data from OSLO
%   osssb     - retrieves spreadsheet buffer data from OSLO
%   ostra     - gets ray trace data from OSLO
%   osuni     - returns lens units value in OSLO
%   osw       - gets and sets wavelength data in OSLO
%   oswvf     - returns wavefront error data
%   oswvffov  - returns or plots wavefront error over a field of view
%   oszer     - returns fringe zernike data from OSLO
%   osfig     - general purpose 2d plotter for the OSLO toolkit
