function c0 = osc(c)
% OSC gets and sets the configuration in OSLO
% function c0 = osc(c)
%    sets active configuration in OSLO
%   INPUT:  c = desired active configuration
%   OUTPUT: c0 = current active configuration


c0 = osreq('+cfg');

if nargin>0
    c = c(1); %only accept a single value
    if c>0 & c<osnumc
        oscmd(['cfg ' int2str(c)]);
    end
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
