function [xy] = oscen(f)
% OSCEN returns wavefront based centroid on image surface
% function [xy] = oscen(f)
%   INPUT:  f:  field point (default = 1)
%   OUTPUT: xy = coordinates at image surface in lens units

if nargin<1, f=1; end; % ref_option:  0 = min rms, 1 = best focus, 2 = ref ray (default = 0)

for i=1:length(f)
    ossop(i);
    oscmd('sbr; trr; wvf rs;');
    YXrefray = osssb(3,1:2);
    YXwvf = osssb(4,4:5);
    xy(i,:) = [YXrefray(2)+YXwvf(2),YXrefray(1)+YXwvf(1)];
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
