function rc = oscmd(cmd,timeout)
% OSCMD executes a general command in OSLO
% function output = oscmd(cmd,timeout)
% This function provides for direct execution of OSLO commands from Matlab
%   INPUT:  cmd is an OSLO command line text string
%           timeout (in seconds) should be used if OSLO requires > 3 seconds to perform a task
%   OUTPUT:  0 if failure, 1 if success
%            
%   see also: osreq, osreqstr

if nargin<1, rc=0; return; end
if nargin<2, timeout=3.0; end

OSLO = ddeinit('oslodde','OSLO_Command');

rc = ddeexec(OSLO,cmd, [1 0], timeout*1000);

ddeterm(OSLO);

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
