function [data,count] = osdata(pathfilename)
%OSDATA loads a binary file saved by OSLO
%function [data,count] = osdata(pathfilename)

if nargin<1; %no input path to .seq file
    [filename,pathname] = uigetfile({'*.*', 'Binary Files (*.*)'; '*.*', 'All files (*.*)'},'Pick a file'); 
    pathfilename = [pathname filename];
end

fid = fopen(pathfilename,'r');
[data,count] = fread(fid,'double'); % load all data
fclose(fid);

rootcount = sqrt(count);
if fix(rootcount) == rootcount %if data appears to be a square matrix
    data = reshape(data,rootcount,rootcount);
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
