function [fldspec,apspec] = osfap()
% OSFAP returns field and aperture specification
% [fldspec,apspec] = osfap()
%     fldspec = 0   Object Height
%               1   Object Angle
%               2   Guassian Image Height
%     apspec  = 0   Entrance Beam Radius
%               1   Object Numerical Aperture
%               2   Axial Ray Slope
%               3   Image Numerical Aperture
%               4   Working F-number

fldspec = osreq('fldspec');
apspec = osreq('apspec');

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
