function [fscale, ftyp] = osftyp()
% OSFTYP returns field scale and type
%  function [fscale, ftyp] = osftyp()
%     fldspec = 0   Object Height
%               1   Object Angle
%               2   Guassian Image Height

ftyp = osfap();
if ftyp==0
    fscale = osreq('+obh'); %lens units
elseif ftyp==1
    fscale = osreq('+ang/dr'); %degrees
else
    fscale = osreq('+gih');
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
