function output = osgd(globaldata,string_yn)
% OSGD requests output data from OSLO Global Data
% function output = osgd(globaldata,string_yn)
%   INPUT:  globaldata, an OSLO command line text string
%           string_yn, flag to indicate string return desired, default = 0 (numerical return)
%   OUTPUT: number or string, depending upon string_yn flag setting

if nargin<1, output=0; return; end
if nargin<2, string_yn=0; end
timeout = 3; %3 seconds

OSLO_GlobalData = ddeinit('oslodde','GlobalData');

if string_yn==0
    output = ddereq(OSLO_GlobalData,globaldata, [1 0], timeout*1000); %numerical output
else
    output = ddereq(OSLO_GlobalData,globaldata, [1 1], timeout*1000); %string output
end

ddeterm(OSLO_GlobalData);

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
