function osloreset(count,resetcount)
% OSLORESET saves current OSLO file, shuts down OSLO, and restarts
% function osloreset(count,resetcount)
% INPUTS are optional, reset will be performed unless both inputs given
%           count = integer counter, such as in a for loop
%           resetcount = value when count reaches to perform reset
%        for example: osloreset(i,4) will reset OSLO every 4 times if i 
%                     increases in a loop in increments of 1  
% NOTE:  resets are only necessary when calling OSLO a large number of
% times, when a bug often crashes OSLO for an unknown reason

if nargin<1, count = 1; end
if nargin<2, resetcount = 1; end

if rem(count,resetcount) == 0
    ossave('temp.osl');
    oscmd('exit');
    oslo; pause(5);
    osopen('temp.osl');
    delete('temp.osl');
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
