function [nums,numf,numw,numz,numr,numo] = osnum()
%OSNUM  gets number of surfaces, field points, wavelengths, and configs 
%   function [nums,numf,numw,numz,numr,numo] = osnum()

nums = osreq('imsnbr'); 
numf = osreq('fptnbr-1');
numw = osreq('numw');
numz = osreq('maxcfg');
numr = osreq('raynbr-1');
numo = osreq('oprnbr-1');

if nargout<1
    disp(['Number of surfaces = ' int2str(nums)]);
    disp(['Number of fields   = ' int2str(numf)]);
    disp(['Number of waves    = ' int2str(numw)]);
    disp(['Number of zooms    = ' int2str(numz)]);
    disp(['Number of rays     = ' int2str(numr)]);
    disp(['Number of operands = ' int2str(numo)]);
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
