function pathfilename = osopen(pathfilename,save_yn)
% OSOPEN opens a file in OSLO, using dialog gui if no input
% function osopen(pathfilename)
%   INPUT:  pathfilename, full path and name of input file
%           save_yn, flag to save, default = 0 (no)
%   OUTPUT: pathfilename (useful when using gui)

if nargin<1, %no input path to lens file
%     [filename,pathname] = uigetfile({'*.*',  'All Files (*.*)'},'Pick a lens file'); 
    [filename,pathname] = uigetfile({'*.len;*.osl', 'Lens Files (*.len,*.osl)'},'Pick a lens file'); 
    if isequal(filename,0) || isequal(pathname,0), disp('Open file cancelled.'), return, end
else
    filename = pathfilename;
    pathname = cd;
end
if pathname(end)=='\' || pathname(end)=='/', pathname = pathname(1:end-1); end

if nargin<2, save_yn=0; end

%first change to desired directory
cmd = ['chd len "' pathname '"; chd txt "' pathname '";'];
oscmd(cmd);
ositfd; %set .int directory to same directory

if save_yn~=0,
    cmd = ['open len cur "." "' filename '" y;'];
else
    cmd = ['open len cur "." "' filename '" n;'];        
end

oscmd(cmd);

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
