function rc = osrco(s,refsurf)
% OSRCO sets return coordinates in OSLO
%  function rc = osrco(s,refsurf)

if nargin<1, rc=0; return, end
if nargin<2, refsurf=s; end

for i=1:length(s)
    rc(i) = oscmd(['rco ' int2str(s(i)) ' ' int2str(refsurf(i))]);
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
