function output = osreqstr(cmd,timeout)
% OSREQSTR executes command and requests output string from OSLO
% function output = osreq(cmd,timeout)
%   INPUT:  cmd is an OSLO command line text string
%           timeout (in seconds) should be used if OSLO requires > 3 seconds to perform a task
%   OUTPUT:  is currently assumed to be a number.
%            If text is desired, use osreqstr

oson;

if nargin<1, output=''; return; end
if nargin<2, timeout=3.0; end

output = ddereq(OSLO,cmd, [1 1], timeout*1000); %string output

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
