function filename = ossave(filename)
% OSSAVE saves current lens in OSLO
% function ossave(filename)
%   INPUT:  default filename = current filename in OSLO

oscd; %change OSLO directory to working MATLAB directory

if nargin<1, 
    oscmd('sprintf(astr,str_pref(lfil));');
    filename = osgd('astr',1);
    a = find(filename=='/' | filename=='\');
    filename = filename(a(end)+1:end);
end

cmd = ['save len cur "." "' filename '";'];
oscmd(cmd);

% Copyright  2004-2005 United States Government as represented by the Administrator of the 
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
