function units = osuni()
% OSUNI returns lens units value in OSLO
% function units = osuni()
% value returned is multiplier from mm units
% OUTPUT:  1 = mm, 10 = cm, 25.4 = in, 1000 = m

units = osreq('+uni;');

if nargout<1
    if units==1, disp('Lens units in mm.'), end
    if units==10, disp('Lens units in cm.'), end
    if units==25.4, disp('Lens units in in.'), end
    if units==1000, disp('Lens units in m.'), end
end

% Copyright  2004-2005 United States Government as represented by the Administrator of the
% National Aeronautics and Space Administration.  No copyright is claimed in the United States 
% under Title 17, U.S. Code. All Other Rights Reserved.
% 
% Author: Joseph M. Howard, NASA
% Revision Date: 2007.08.22     
